server {

  server_name _;
  listen 8080 default_server;
  listen [::]:8080 default_server;

  ##############################
  autoindex on;
  autoindex_localtime on;
  autoindex_exact_size off;
  #autoindex_format json;
  charset utf-8,gbk;
  
  ##############################
  root /var/www/html;
  #wget https://phuslu.github.io/autoindex.html -O /var/www/html/nginx/autoindex.html
  add_after_body /nginx/autoindex.html;
  
  ##############################
  #location / {
  #	# First attempt to serve request as file, then
  #	# as directory, then fall back to displaying a 404.
  #	try_files $uri $uri/ =404;
  #}
  
  # deny access to .htaccess files, if Apache's document root
  # concurs with nginx's one
  #
  #location ~ /\.ht {
  #	deny all;
  #}
}
